flightcrew_0.7.2+dfsg-10ubuntu0.1_i386.deb


Advertisement

Description

flightcrew - C++ epub validator

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Universe i386
Package filename flightcrew_0.7.2+dfsg-10ubuntu0.1_i386.deb
Package name flightcrew
Package version 0.7.2+dfsg
Package release 10ubuntu0.1
Package architecture i386
Package type deb
Category universe/text
Homepage http://code.google.com/p/flightcrew
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 67.30 KB
Installed size 265.00 KB
FlightCrew is an epub validator written in C++. It is used by sigil
to validate epub files, and may be generally useful for other epub
creation utilities.

Alternatives

Package Version Architecture Repository
flightcrew_0.7.2+dfsg-10ubuntu0.1_amd64.deb 0.7.2+dfsg amd64 Ubuntu Updates Universe
flightcrew_0.7.2+dfsg-10_i386.deb 0.7.2+dfsg i386 Ubuntu Universe
flightcrew_0.7.2+dfsg-10_amd64.deb 0.7.2+dfsg amd64 Ubuntu Universe
flightcrew - - -

Requires

Name Value
libboost-program-options1.65.1 -
libc6 >= 2.4
libflightcrew0v5 -
libgcc1 >= 1:3.0
libqt4-network >= 4:4.5.3
libqtcore4 >= 4:4.7.0~beta1
libqtgui4 >= 4:4.5.3
libstdc++6 >= 5.2

Download

Type URL
Mirror archive.ubuntu.com
Binary Package flightcrew_0.7.2+dfsg-10ubuntu0.1_i386.deb
Source Package flightcrew

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install flightcrew deb package:
    # sudo apt-get install flightcrew

Changelog

2019-07-01 - Mike Salvatore <mike.salvatore@canonical.com>
flightcrew (0.7.2+dfsg-10ubuntu0.1) bionic-security; urgency=medium
* SECURITY UPDATE: NULL pointer dereference (DoS) when processing crafted
EPUB file
- debian/patches/CVE-2019-13032-1.patch: prevent segfault from malformed
opf items in GetRelativePathToNcx()
- debian/patches/CVE-2019-13032-2.patch: prevent segfault from malformed
opf items in GetRelativePathsToXhtmlDocuments()
- CVE-2019-13032
* SECURITY UPDATE: Zip Slip directory traversal when processing a crafted
EPUB file
- debian/patches/CVE-2019-13241-1.patch: try to make extracting epbs safer
- debian/patches/CVE-2019-13241-2.patch: further harden zip extraction to
always be safe
- debian/patches/CVE-2019-13241-3.patch: harden further by throwing
exception
- CVE-2019-13241
* SECURITY UPDATE: Infinite loop leading to DoS and resource consumption
- debian/patches/CVE-2019-13453.patch: Prevent infinite loop in zipios
library by checking for EOF
- CVE-2019-13453
2018-02-24 - Mattia Rizzolo <mattia@debian.org>
flightcrew (0.7.2+dfsg-10) unstable; urgency=medium
* d/control:
+ Move the packaging to salsa.d.o.
+ Move libflightcrew0v5 to Section:libs where it belongs.
* Bump Standards-Version to 4.1.3:
+ Bump priority from extra (deprecated) to optional.
+ Use HTTPS in d/copyright's Format field.
* d/copyright: bump copyright years for debian/*.
* Bump debhelper compat level to 11.
* d/rules: replace dh_install --fail-missing by dh_missing.
2017-05-15 - Mattia Rizzolo <mattia@debian.org>
flightcrew (0.7.2+dfsg-9) unstable; urgency=medium
* d/copyright: claim copyright for the 2017.
* Add patch to fix a security issue due to insecure use of /tmp.
Thanks to Jakub Wilk <jwilk@jwilk.net> for the report and to
Thomas Pierson <contact@thomaspierson.fr> for the patch.
Closes: #861987
2016-11-24 - Mattia Rizzolo <mattia@debian.org>
flightcrew (0.7.2+dfsg-8) unstable; urgency=medium
* Bump debhelper compat level to 10.
+ --parallel is now default.
* Add missing Build-Depends on libgtest-dev.
Thanks to Gianfranco Costamagna for the patch.  Closes: #844856
2016-05-26 - Mattia Rizzolo <mattia@debian.org>
flightcrew (0.7.2+dfsg-7) unstable; urgency=medium
* debian/control:
+ Bump Standards-Version to 3.9.8, no changes needed.
+ Use HTTPS in Vcs-Git.
+ wrap-and-sort -ast
+ Drop non-existant misc:Recommends and shlibs:Recommends substvars.
2015-12-08 - Mattia Rizzolo <mattia@debian.org>
flightcrew (0.7.2+dfsg-6) unstable; urgency=medium
* [7ccf0ab] debian/patches/reproducible-build: also sort the sources of
xerces before compiling/linking them.
2015-12-07 - Mattia Rizzolo <mattia@debian.org>
flightcrew (0.7.2+dfsg-5) unstable; urgency=medium
* [fb787bf] debian/patches/reproducible-build: also sort the sources of
zipios before compiling/linking them.
2015-12-06 - Mattia Rizzolo <mattia@debian.org>
flightcrew (0.7.2+dfsg-4) unstable; urgency=medium
* [2f174b8] debian/patches/reproducible-build: also sort the sources of
flightcrew-gui before compiling/linking them.
2015-12-06 - Mattia Rizzolo <mattia@debian.org>
flightcrew (0.7.2+dfsg-3) unstable; urgency=medium
* [fba6efa] debian/{control,copyright}: use my @debian.org email address.
* [c33d445] debian/patch/reproducible-build: add to make the build
reproducible independent from readdir() order.
2015-08-29 - Mattia Rizzolo <mattia@mapreri.org>
flightcrew (0.7.2+dfsg-2) unstable; urgency=medium
* [56f6b9c] debian/rules: enable parallel building
* [89b9213] libflightcrew0 → libflightcrew0v5 for the libstdc++6 transition

See Also

Package Description
fonts-lyx_2.2.4-0ubuntu0.18.04.1_all.deb TrueType versions of some TeX fonts used by LyX
fp-compiler-3.0.4_3.0.4+dfsg-18ubuntu2_i386.deb Free Pascal - compiler
fp-compiler_3.0.4+dfsg-18ubuntu2_i386.deb Free Pascal - compiler dependency package
fp-docs-3.0.4_3.0.4+dfsg-18ubuntu2_all.deb Free Pascal - documentation
fp-docs_3.0.4+dfsg-18ubuntu2_all.deb Free Pascal - documentation dependency package
fp-ide-3.0.4_3.0.4+dfsg-18ubuntu2_i386.deb Free Pascal - IDE
fp-ide_3.0.4+dfsg-18ubuntu2_all.deb Free Pascal - IDE dependency package
fp-units-base-3.0.4_3.0.4+dfsg-18ubuntu2_i386.deb Free Pascal - base units
fp-units-base_3.0.4+dfsg-18ubuntu2_i386.deb Free Pascal - base units dependency package
fp-units-db-3.0.4_3.0.4+dfsg-18ubuntu2_i386.deb Free Pascal - database-library units
fp-units-db_3.0.4+dfsg-18ubuntu2_i386.deb Free Pascal - database-library units dependency package
fp-units-fcl-3.0.4_3.0.4+dfsg-18ubuntu2_i386.deb Free Pascal - Free Component Library
fp-units-fcl_3.0.4+dfsg-18ubuntu2_i386.deb Free Pascal - Free Component Library dependency package
fp-units-fv-3.0.4_3.0.4+dfsg-18ubuntu2_i386.deb Free Pascal - Free Vision units
fp-units-fv_3.0.4+dfsg-18ubuntu2_i386.deb Free Pascal - Free Vision units dependency package
Advertisement
Advertisement